// test 2

.book-new {
  margin: 0;
  padding: 0;
}

.align-center-mobile {
  margin-left: auto;
  margin-right: auto;
}

.read-by {
  max-width: 454px;
}

.book-info-container {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-content: stretch;
  align-items: flex-start;
  text-align: center;
}

.book-info-flex {
  order: 1;
  flex: 0 1 auto;
  align-self: auto;
}

.book-slider-flex {
  order: 0;
  flex: 0 1 auto;
  align-self: auto;
}

.book-description {
  max-width: 80%;
}

.book-praise {
  margin-top: -1px;
  @include padding-bottom(16);
}

.buy-section {
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -webkit-flex-direction: row;
  -ms-flex-direction: row;
  flex-direction: row;
  -webkit-flex-wrap: nowrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-align-content: stretch;
  -ms-flex-line-pack: stretch;
  align-content: stretch;
  -webkit-align-items: flex-start;
  -ms-flex-align: start;
  align-items: flex-start;

  @include margin-top(-10);
}

.buy-option {
  background: $bwt-extra-light;
  border-radius: $radius-soft;
  max-width: 450px;
  padding: 40px 20px;
  box-shadow: $box-shadow;
  margin: 0 30px;
  @include margin-top(2);

  display: flex;
  flex-direction: column;

  -webkit-flex: 0 1 auto;
  -ms-flex: 0 1 auto;
  flex: 0 1 auto;
  -webkit-align-self: stretch;
  -ms-flex-item-align: stretch;
  align-self: stretch;

  &.a-b-test {
    max-width: none;
  }

  .buy-button {
    width: 240px;
  }
}

@media screen and (max-width: 1020px){
  .buy-option:nth-child(even) {
    margin-top: 150px;
  }
}

.buy-option-image {
  margin-top: -100px;
  // margin-left: -20px;
  // margin-right: -20px;
}

@media screen and (min-width: 375px) {
  .buy-option-image {
    margin-top: -150px;
    margin-left: -20px;
    margin-right: -20px;
  }
}

.buy-option-footer {
  margin-top: auto;
  margin-bottom: 0;
}

.example-website {
  @include margin-top(-3);
  @include padding-top(1);

  ol {
    list-style: none;
  }
}

.example-links {
  span {
    display: block;
  }

  img {
    display: inline;
    vertical-align: middle;
    margin-right: 10px;
  }
}

@media screen and (min-width: 48em){
  .example-links span {
    display: inline;
  }

  img.sketch {
    margin-left: 20px;
  }
}

.question {
  max-width: 33rem;
}

.variant-selectors {
  margin-bottom: 20px;

  * {
    line-height: 1rem;
    margin-bottom: 0;
  }

  label {
    display: block;
    margin-bottom: 10px;
    transition: all 0.3s;
    border: 2px solid #fff;

    &:hover {
      cursor: pointer;
    }
  }
}

.product {
  // background: #fafafa;

.button {
    max-width: 300px;
  }

  // h1 {
  //   font-family: $custom-font-acumin;
  //   text-transform: none;
  //   font-size: 1.7rem;
  //   @include line-height(1.5);
  //   margin: 0;
  //   @include margin-bottom(0.5);
  //   margin-top: 0;
  //   text-align: center;
  // }

  // .subtitle {
  //   font-family: $custom-font-body;
  //   font-size: 1.3rem;
  //   margin: 0;
  //   text-transform: none;
  //   @include margin-bottom(0.5);
  //   text-align: center;
  // }

  .book-info {
    max-width: 90%;
    margin-left: auto;
    margin-right: auto;
  }

  .get-sample {
    text-align: center;
  }

  @media screen and (min-width: 48em){
    .book-info {
      max-width: none;
    }

    // h1 {
    //   @include margin-top(2);
    //   text-align: left;
    //   margin-left: 0;
    //   font-size: 2rem;
    //   max-width: 400px;
    // }

    .subtitle {
      text-align: left;
    }

    .book-info {
      // max-width: 80%;
      margin-left: 0;
    }

    .get-sample {
      text-align: left;
    }
  }

  @media screen and (min-width: 80em){
    // h1 {
    //   @include margin-top(4);
    // }
  }
}

@media screen and (min-width: 80em){
  .whats_inside {
    max-width: 1040px;
  }
}

.book-page {
  .lesson-img img {
    max-width: 100%;
  }

  .button-secondary {
    max-width: 263px;
  }

  .bg-dark a {
    color: #fff;
    @include margin-bottom(1.5);
  }

  .how-it-works {
    padding-bottom: 3rem;

    p.desc {
      max-width: 21em;
    }
  }

  .toc {
    @include margin-bottom(3);
    list-style: none;

    ul {
      list-style: none;
    }
  }

  .about-author {
    z-index: 1;
    margin-top: -2rem;

    h2 {
      @include margin-top(3);
    }
  }

  .white-fix {
    z-index: 1;
  }

  .block-full-width, .block-full-width-dark {
    margin: 0;
    width: 100%;
  }

  .block-full-width-dark {
    background: #111F2E;

    h2 span {
      color: #fff;
    }
  }

  p {
    // @include margin-bottom(1);
  }

  .sketchSource img, .sourceCode img {
    margin: 0 5px -5px;
    display: inline;
  }

  .sourceCode {
    @include margin-bottom(0.5);

    img {
      margin-right: 9px;
    }
  }

  .sketchSource span {
    font-family: $custom-font-acumin;
    color: $bwt-green;
    font-size: 10px;
    font-weight: bold;
  }

  .book-features {
    .feature-label {
      max-width: 250px;
    }
  }

  h2, .content h3 {
    max-width: 80%;

    span {
      text-transform: none;
      font-family: $custom-font-body;
      font-size: 1.5rem;
      font-style: italic;
      display: block;
      line-height: 1;
      margin-bottom: 0;
      font-weight: normal;
      @include margin-bottom(0.5);
    }
  }

  .content h3 span {
    font-size: 1rem;
  }

  .review {
    @include margin-bottom(1);
  }

  .review-content {
    display: flex;
    flex-direction: column;
  }

  .reviewer {
    margin-bottom: 0;
    width: 100%;
    flex: 1 0 auto;

    img {
      margin-right: 10px;
    }
  }

  @media screen and (min-width: 48em){
    .review:nth-child(1) {
      @include margin-top(3);
    }
    .popularity {
      @include padding(2,0,3);
    }
  }

  .author {
    padding-bottom: 0;
  }

  .hardcover {
    background: #F6CBC7;
    padding-bottom: 5%;

    img {
      margin: 0 3px -5px;
      display: inline;
    }

    h2 {
      color: #fff;
      @include margin-bottom(1);
      max-width: none;
    }

    @media screen and (min-width: 48em){
      // max-height: 540px;
      overflow: hidden;
      padding-bottom: 1%;
    }
  }

  .toc {
    // width: 100%;
    padding: 0;

    ul {
      padding: 0;
    }

    span {
      display: block;
      color: $bwt-red;
      @include margin-bottom(0.5);

      &:nth-child(1){
        @include margin-top(1);
      }
    }
  }
}

.basic-padding {
  padding: 10% 5%;

  @media screen and (min-width: 48em){
    padding: 5%;
  }
}

.learn-how {
  list-style: none;
  width: 80%;
  margin-left: auto;
  margin-right: auto;

  img {
    margin-left: auto;
    margin-right: auto;
  }

  li {
    width: 100%;
    float: left;
    margin-bottom: 0;

    @media screen and (min-width: 48em){
      &:nth-child(odd){
        padding-right: 30px;
      }

      &:nth-child(even){
        padding-left: 0px;
      }
    }
  }
}

.eBook .remaining {
  display: none;
}

.Paperback .remaining, .Hardcover .remaining {
  font-size: 12px;
  line-height: 2;
  color: $bwt-red;
}

.cs-bonus {
  background: $bwt-gradient;
  padding: 3px 10px;
  color: #fff;
  border-radius: $radius-soft;
  display: inline-block;
}

.book-features {
  width: 100%;
  background: linear-gradient( rgba(28, 16, 32, 0) 0%, $bwt-purple 70%);
  @include padding-bottom(4);

  p {
    font-size: 20px;
  }

  ul {
    max-width: 90%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-content: stretch;
    align-items: flex-start;
    @include padding(3,0,0);
    list-style: none;
  }

  li {
    width: 45%;
    flex: 0 1 auto;
    align-self: auto;
    margin: 0 2%;
  }
}

@media screen and (min-width: 30em){
  .book-description {
    max-width: 420px;
  }
}

@media screen and (min-width: 48em){
  .learn-how {
    max-width: 720px;
  }

  .learn-how li {
    max-width: 50%;
    min-height: 177px;
  }

  .book-features {
    p {
      font-size: 24px;
    }
  }
}

@media screen and (min-width: 60em){
  .learn-how li {
    max-width: 33%;
  }

  .book-features {
    ul {
      max-width: 90%;
    }

    li {
      width: 20%;
    }
  }
}

@media screen and (min-width: 1020px){
  .book-info-container {
    display: block;
    text-align: left;
  }

  .align-center-mobile {
    margin-left: 0;
  }

  .book-slider-flex {
    // @include margin-top(2);
  }

  .book-info {
    h1 {
      max-width: 550px;
    }

    .tagline-large {
      max-width: 440px;
    }
  }

  .example-website {
    @include margin-top(-6);
  }

  .book-page blockquote.max-width-500px {
    max-width: none;
  }
}

@media screen and (min-width: 1170px){
  .buy-option {
    @include margin-top(0);
  }
}

.author-support {
  background: $bwt-extra-light;
  border-radius: $radius-soft;
  max-width: 350px;
  padding: 20px;
  padding-top: 35px;
  position: relative;
  @include margin-top(3);

  img {
    position: absolute;
    top: -30px;
    left: 151px;
  }

  em {
    display: block;
    margin-bottom: 0;
  }
}